GET /api/v3/place/{placeId}/digest/normalized/yearly

Retrieves rolled up normalized billing data by building/organization for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes target comparison data and commodity level break up.

GetPlaceNormalizedYearlyV3 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId The place to retrieve data for integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to 4 integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PlaceDigestNormalizedYearlyResponse
Property Description Type
commodities An array of yearly data per commodity PlaceDigestNormalizedYearlyResponse+CommodityData[]
PlaceDigestNormalizedYearlyResponse+CommodityData properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of yearly data PlaceDigestNormalizedYearlyResponse+CommodityResults[]
PlaceDigestNormalizedYearlyResponse+CommodityResults properties
Property Description Type
commonUse Common Use number (double)
globalUse Global Use number (double)
year year string
targetComparison PlaceDigestNormalizedYearlyResponse+TargetComparison
PlaceDigestNormalizedYearlyResponse+TargetComparison properties
Property Description Type
globalUse Total use for the target year number (double)
globalUseYtd Total use for the target year up to the target period that corresponds to the current period number (double)
targetLabel Target label string
targetYear Target year integer (int32)
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
results An array of yearly data PlaceDigestNormalizedYearlyResponse+Results[]
PlaceDigestNormalizedYearlyResponse+Results properties
Property Description Type
globalUse Use number (double)
year year string
targetComparison PlaceDigestNormalizedYearlyResponse+TargetComparison
PlaceDigestNormalizedYearlyResponse+TargetComparison properties
Property Description Type
globalUse Total use for the target year number (double)
globalUseYtd Total use for the target year up to the target period that corresponds to the current period number (double)
targetLabel Target label string
targetYear Target year integer (int32)
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "commodities": [
    {    "commodityCode": "string",    "commodityId": 1,    "commodityInfo": "string",    "commonUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "results": [
      {      "commonUse": 1.0,      "globalUse": 1.0,      "year": "string"
    }
    ],    "targetComparison": {      "globalUse": 1.0,      "globalUseYtd": 1.0,      "targetLabel": "string",      "targetYear": 1
    }
  }
  ],  "globalUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "placeCode": "string",  "placeId": 1,  "placeInfo": "string",  "results": [
    {    "globalUse": 1.0,    "year": "string"
  }
  ],  "targetComparison": {    "globalUse": 1.0,    "globalUseYtd": 1.0,    "targetLabel": "string",    "targetYear": 1
  },  "updated": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.